Schema "fpml-recordkeeping-processes-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/recordkeeping

Version:

  $Revision: 7629 $

Defined Components:

  4 global elements, 3 local elements, 3 complexTypes

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\recordkeeping\fpml-recordkeeping-processes-5-3.xsd; see XML source

Includes Schema:

  fpml-business-events-5-3.xsd [src]

Included in Schema:

  fpml-main-5-3.xsd [src]

All Element Summary
asOfDate (in nonpublicExecutionReport) | The date for which this document reports positions and valuations.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin NonPublicExecutionReport complexType; see XML source
nonpublicExecutionReport |
Type: | NonPublicExecutionReport
Content: | complex, 3 attributes, 24 elements
Defined: | globally; see XML source
Used: | never
nonpublicExecutionReportAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
nonpublicExecutionReportException |
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
nonpublicExecutionReportRetracted |
Type: | NonPublicExecutionReportRetracted
Content: | complex, 3 attributes, 20 elements
Defined: | globally; see XML source
Used: | never
reportingPurpose | The reason this message is being sent, for example Snapshot, PET, Confirmation, RealTimePublic.
Type: | ReportingPurpose
Content: | simple, 1 attribute
Defined: | locally witnin NonPublicExecutionReport complexType; see XML source
tradeIdentifier (in nonpublicExecutionReportRetracted) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin NonPublicExecutionReportRetracted complexType; see XML source

Complex Type Summary
NonPublicExecutionReport |
Content: | complex, 3 attributes, 24 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
NonPublicExecutionReportRetracted |
Content: | complex, 3 attributes, 20 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ReportingPurpose | A value that explains the reason or purpose of this report message.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="" ecore:package="org.fpml.recordkeeping" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/recordkeeping" version="$Revision: 7629 $" xmlns="http://www.fpml.org/FpML-5/recordkeeping" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-business-events-5-3.xsd"/> <xsd:complexType name="NonPublicExecutionReport"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <!-- BAL - added 2011-10-18 to address gaps with DTCC requirements --> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date for which this document reports positions and valuations. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reportingPurpose" type="ReportingPurpose"> <xsd:annotation> <xsd:documentation xml:lang="en"> The reason this message is being sent, for example Snapshot, PET, Confirmation, RealTimePublic. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="PortfolioReferenceBase.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Allows a reference to porftfolio request to be included, such as a portfolio compression request. NOTE: this is an element that is under assessment and may not be available in a subsequent working draft. </xsd:documentation> </xsd:annotation> </xsd:group> <!-- BAL - end 2011-10-18 additions to address gaps with DTCC requirements --> <xsd:group ref="Events.model"/> <xsd:group minOccurs="0" ref="EventValuation.model"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ReportingPurpose"> <xsd:annotation> <xsd:documentation xml:lang="en"> A value that explains the reason or purpose of this report message. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/reporting-purpose" name="reportingPurposeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="NonPublicExecutionReportRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:choice> <xsd:group minOccurs="0" ref="Events.model"/> <xsd:element minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> </xsd:choice> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:element name="nonpublicExecutionReport" type="NonPublicExecutionReport"/> <xsd:element name="nonpublicExecutionReportRetracted" type="NonPublicExecutionReportRetracted"/> <xsd:element name="nonpublicExecutionReportAcknowledgement" type="Acknowledgement"/> <xsd:element name="nonpublicExecutionReportException" type="Exception"/> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.